Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 141365 - RTamd64 - network not initialized by default
Summary: RTamd64 - network not initialized by default
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Release Media
Classification: Unclassified
Component: LiveCD/DVD (show other bugs)
Hardware: AMD64 Linux
: Highest major (vote)
Assignee: Gentoo Release Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-07-22 02:12 UTC by Andrei Slavoiu
Modified: 2006-08-10 09:55 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Slavoiu 2006-07-22 02:12:41 UTC
Right after the boot proccess finishes and I get the prompt, the following kernel message appears on screen: eth0: network connection down.
This is what I found in /var/log/messages:
Jul 22 08:58:28 livecd sk98lin: Asus mainboard with buggy VPD? Correcting data.
Jul 22 08:58:29 livecd eth0: Yukon Gigabit Ethernet 10/100/1000Base-T Adapter
Jul 22 08:58:29 livecd PrefPort:A  RlmtMode:Check Link State
Jul 22 08:58:29 livecd rc-scripts: We only hotplug for ethernet interfaces
Jul 22 08:58:29 livecd rc-scripts: WARNING:  net.eth0 has not yet been started.
Jul 22 08:58:30 livecd ACPI: PCI Interrupt 0000:00:0a.0[A] -> GSI 17 (level, low) -> IRQ 18
Jul 22 08:58:30 livecd sk98lin: Asus mainboard with buggy VPD? Correcting data.
Jul 22 08:58:30 livecd eth0: Yukon Gigabit Ethernet 10/100/1000Base-T Adapter
Jul 22 08:58:30 livecd PrefPort:A  RlmtMode:Check Link State
Jul 22 08:58:36 livecd input: PC Speaker as /class/input/input2
Jul 22 08:58:36 livecd Floppy drive(s): fd0 is 1.44M
Jul 22 08:58:36 livecd FDC 0 is a post-1991 82077
Jul 22 08:58:39 livecd dhcpcd[10047]: MAC address = 00:11:2f:d0:0b:5e
Jul 22 08:58:41 livecd dhcpcd[10047]: terminating on signal 1
Jul 22 08:58:41 livecd eth0: network connection down

Note that when I manualy started eth0 (/etc/init.d/net.eth0 start) it initialized correctly:
livecd root # /etc/init.d/net.eth0 start
 * Starting eth0
 *   Configuration not set for eth0 - assuming DHCP
 *   Bringing up eth0
 *     dhcp
 *       Running dhcpcd ...
eth0: network connection up using port A
    speed:           100
    autonegotiation: yes
    duplex mode:     full
    flowctrl:        none
    irq moderation:  disabled
    scatter-gather:  disabled
    tx-checksum:     disabled
    rx-checksum:     disabled                                                                                             [ ok ]
 *       eth0 received address 192.168.1.3/24

md5sum is 5399536f373ad73126afbe4776e64178
Comment 1 Danny van Dyk (RETIRED) gentoo-dev 2006-07-22 05:05:55 UTC
Chris: Hm, we're using sk98lin in kconfig. I'd suggest to switch to
  CONFIG_SK98LIN=n   # > it's deprecated by kernel devs
  CONFIG_SKGE=m      # \ these two should be able to handle
  CONFIG_SKY2=m      # / all ethernet cards that are handled by sk98lin

Any objections?
Comment 2 Danny van Dyk (RETIRED) gentoo-dev 2006-07-23 13:21:00 UTC
Please test with latest minimal installcd:
cc084ffe3d0c5da0c8c6b8360bc7d934  install-amd64-minimal-2006.1.iso
Comment 3 Andrei Slavoiu 2006-07-24 09:34:29 UTC
Works with InstalCD cc084ffe3d0c5da0c8c6b8360bc7d934
Comment 4 Chris Gianelloni (RETIRED) gentoo-dev 2006-08-01 13:06:02 UTC
...
Comment 5 Chris Gianelloni (RETIRED) gentoo-dev 2006-08-01 13:06:59 UTC
Fixed... sorry about the bug spam...
Comment 6 Andrei Slavoiu 2006-08-10 09:55:49 UTC
Closed.